Getting started

Requirements

Python:

  • Python 2.7
  • Python >= 3.5.

Operating System:

  • Linux
  • Mac
  • Windows

Install/upgrade

Stable

Use this unless you want to live on the cutting edge.

pip install hydra-core --upgrade

Pre-release

Contains features that did not yet made it to the official version. May contain nuts and bugs and might be incompatible with existing plugins.

pip install hydra-core --pre --upgrade

Source

You can install Hydra from source following the contributing guide.

Last updated on 11/8/2019 by Omry Yadan